<html>
<head>
<title>OgreBorderPanelOverlayElement.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreBorderPanelOverlayElement.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreBorderPanelOverlayElement_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __BorderPanelOverlayElement_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __BorderPanelOverlayElement_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePanelOverlayElement_8h.html">OgrePanelOverlayElement.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00042"></a>00042     <span class="keyword">class </span>BorderRenderable;
<a name="l00043"></a>00043     
<a name="l00057"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html">00057</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html" title="A specialisation of the PanelOverlayElement to provide a panel with a border.">BorderPanelOverlayElement</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1PanelOverlayElement.html" title="OverlayElement representing a flat, single-material (or transparent) panel which can contain other el...">PanelOverlayElement</a>
<a name="l00058"></a>00058     {
<a name="l00059"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a34cbfdb610c9f91d01c1b4adff0844ab">00059</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1BorderRenderable.html" title="Class for rendering the border of a BorderPanelOverlayElement.">BorderRenderable</a>;
<a name="l00060"></a>00060     <span class="keyword">public</span>:
<a name="l00062"></a>00062         <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html" title="A specialisation of the PanelOverlayElement to provide a panel with a border.">BorderPanelOverlayElement</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00063"></a>00063         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1BorderPanelOverlayElement.html" title="A specialisation of the PanelOverlayElement to provide a panel with a border.">BorderPanelOverlayElement</a>();
<a name="l00064"></a>00064 
<a name="l00065"></a>00065         <span class="keyword">virtual</span> <span class="keywordtype">void</span> initialise(<span class="keywordtype">void</span>);
<a name="l00066"></a>00066 
<a name="l00067"></a>00067         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getTypeName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00079"></a>00079         <span class="keywordtype">void</span> setBorderSize(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> size);
<a name="l00080"></a>00080 
<a name="l00092"></a>00092         <span class="keywordtype">void</span> setBorderSize(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> sides, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> topAndBottom);
<a name="l00093"></a>00093 
<a name="l00107"></a>00107         <span class="keywordtype">void</span> setBorderSize(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> left, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> right, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> top, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> bottom);
<a name="l00108"></a>00108 
<a name="l00110"></a>00110         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getLeftBorderSize(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00112"></a>00112         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getRightBorderSize(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00114"></a>00114         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTopBorderSize(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00116"></a>00116         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getBottomBorderSize(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00117"></a>00117 
<a name="l00128"></a>00128         <span class="keywordtype">void</span> setLeftBorderUV(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u2, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v2);
<a name="l00132"></a>00132         <span class="keywordtype">void</span> setRightBorderUV(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u2, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v2);
<a name="l00136"></a>00136         <span class="keywordtype">void</span> setTopBorderUV(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u2, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v2);
<a name="l00140"></a>00140         <span class="keywordtype">void</span> setBottomBorderUV(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u2, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v2);
<a name="l00144"></a>00144         <span class="keywordtype">void</span> setTopLeftBorderUV(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u2, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v2);
<a name="l00148"></a>00148         <span class="keywordtype">void</span> setTopRightBorderUV(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u2, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v2);
<a name="l00152"></a>00152         <span class="keywordtype">void</span> setBottomLeftBorderUV(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u2, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v2);
<a name="l00156"></a>00156         <span class="keywordtype">void</span> setBottomRightBorderUV(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u2, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v2);
<a name="l00157"></a>00157 
<a name="l00158"></a>00158         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getLeftBorderUVString() <span class="keyword">const</span>;
<a name="l00159"></a>00159         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getRightBorderUVString() <span class="keyword">const</span>;
<a name="l00160"></a>00160         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getTopBorderUVString() <span class="keyword">const</span>;
<a name="l00161"></a>00161         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getBottomBorderUVString() <span class="keyword">const</span>;
<a name="l00162"></a>00162         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getTopLeftBorderUVString() <span class="keyword">const</span>;
<a name="l00163"></a>00163         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getTopRightBorderUVString() <span class="keyword">const</span>;
<a name="l00164"></a>00164         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getBottomLeftBorderUVString() <span class="keyword">const</span>;
<a name="l00165"></a>00165         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getBottomRightBorderUVString() <span class="keyword">const</span>;
<a name="l00166"></a>00166 
<a name="l00167"></a>00167 
<a name="l00168"></a>00168 
<a name="l00169"></a>00169 
<a name="l00171"></a>00171         <span class="keywordtype">void</span> setBorderMaterialName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00173"></a>00173         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getBorderMaterialName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00174"></a>00174 
<a name="l00176"></a>00176         <span class="keywordtype">void</span> _updateRenderQueue(<a class="code" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a>* queue);
<a name="l00178"></a>00178         <span class="keywordtype">void</span> visitRenderables(<a class="code" href="classOgre_1_1Renderable_1_1Visitor.html" title="Visitor object that can be used to iterate over a collection of Renderable instances abstractly...">Renderable::Visitor</a>* visitor, 
<a name="l00179"></a>00179             <span class="keywordtype">bool</span> debugRenderables = <span class="keyword">false</span>);
<a name="l00180"></a>00180 
<a name="l00182"></a>00182         <span class="keywordtype">void</span> setMetricsMode(<a class="code" href="group__Overlays.html#gaa7655e44eacdfd45427ff35bde855f36" title="Enum describing how the position / size of an element is to be recorded.">GuiMetricsMode</a> gmm);
<a name="l00183"></a>00183 
<a name="l00185"></a>00185         <span class="keywordtype">void</span> _update(<span class="keywordtype">void</span>);
<a name="l00186"></a>00186 
<a name="l00187"></a>00187 
<a name="l00189"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderSize.html">00189</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderSize.html" title="Command object for specifying border sizes (see ParamCommand).">CmdBorderSize</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00190"></a>00190         {
<a name="l00191"></a>00191         <span class="keyword">public</span>:
<a name="l00192"></a>00192             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00193"></a>00193             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00194"></a>00194         };
<a name="l00196"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderMaterial.html">00196</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderMaterial.html" title="Command object for specifying the Material for the border (see ParamCommand).">CmdBorderMaterial</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00197"></a>00197         {
<a name="l00198"></a>00198         <span class="keyword">public</span>:
<a name="l00199"></a>00199             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00200"></a>00200             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00201"></a>00201         };
<a name="l00203"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderLeftUV.html">00203</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderLeftUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderLeftUV</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00204"></a>00204         {
<a name="l00205"></a>00205         <span class="keyword">public</span>:
<a name="l00206"></a>00206             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00207"></a>00207             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00208"></a>00208         };
<a name="l00210"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopUV.html">00210</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderTopUV</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00211"></a>00211         {
<a name="l00212"></a>00212         <span class="keyword">public</span>:
<a name="l00213"></a>00213             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00214"></a>00214             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00215"></a>00215         };
<a name="l00217"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderRightUV.html">00217</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderRightUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderRightUV</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00218"></a>00218         {
<a name="l00219"></a>00219         <span class="keyword">public</span>:
<a name="l00220"></a>00220             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00221"></a>00221             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00222"></a>00222         };
<a name="l00224"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomUV.html">00224</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderBottomUV</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00225"></a>00225         {
<a name="l00226"></a>00226         <span class="keyword">public</span>:
<a name="l00227"></a>00227             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00228"></a>00228             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00229"></a>00229         };
<a name="l00231"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopLeftUV.html">00231</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopLeftUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderTopLeftUV</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00232"></a>00232         {
<a name="l00233"></a>00233         <span class="keyword">public</span>:
<a name="l00234"></a>00234             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00235"></a>00235             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00236"></a>00236         };
<a name="l00238"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomLeftUV.html">00238</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomLeftUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderBottomLeftUV</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00239"></a>00239         {
<a name="l00240"></a>00240         <span class="keyword">public</span>:
<a name="l00241"></a>00241             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00242"></a>00242             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00243"></a>00243         };
<a name="l00245"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomRightUV.html">00245</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomRightUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderBottomRightUV</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00246"></a>00246         {
<a name="l00247"></a>00247         <span class="keyword">public</span>:
<a name="l00248"></a>00248             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00249"></a>00249             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00250"></a>00250         };
<a name="l00252"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopRightUV.html">00252</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopRightUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderTopRightUV</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00253"></a>00253         {
<a name="l00254"></a>00254         <span class="keyword">public</span>:
<a name="l00255"></a>00255             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00256"></a>00256             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00257"></a>00257         };
<a name="l00258"></a>00258     <span class="keyword">protected</span>:
<a name="l00259"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a8a7d4da0f0f4cb1437a10de49d99d768">00259</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a8a7d4da0f0f4cb1437a10de49d99d768">mLeftBorderSize</a>;
<a name="l00260"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a51d14fb481ca6b24d477b49f2a0dabe2">00260</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a51d14fb481ca6b24d477b49f2a0dabe2">mRightBorderSize</a>;
<a name="l00261"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#ae4c6e2625c49b95917f675d3fbfff4a4">00261</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#ae4c6e2625c49b95917f675d3fbfff4a4">mTopBorderSize</a>;
<a name="l00262"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#ab61a23d6ff3c39a15503ec34975f89fb">00262</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#ab61a23d6ff3c39a15503ec34975f89fb">mBottomBorderSize</a>;
<a name="l00263"></a><a class="code" href="structOgre_1_1BorderPanelOverlayElement_1_1CellUV.html">00263</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1BorderPanelOverlayElement_1_1CellUV.html">CellUV</a> {
<a name="l00264"></a><a class="code" href="structOgre_1_1BorderPanelOverlayElement_1_1CellUV.html#ae44c54f4b87dac38ad26565bcb516b8a">00264</a>             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u1, v1, u2, <a class="code" href="structOgre_1_1BorderPanelOverlayElement_1_1CellUV.html#ae44c54f4b87dac38ad26565bcb516b8a">v2</a>;
<a name="l00265"></a>00265         };
<a name="l00266"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a720e5d40897343c51398387279037350">00266</a>         <a class="code" href="structOgre_1_1BorderPanelOverlayElement_1_1CellUV.html">CellUV</a> mBorderUV[8];
<a name="l00267"></a>00267 
<a name="l00268"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#ae713cc1b97b4f250aa72a516811f5611">00268</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#ae713cc1b97b4f250aa72a516811f5611">mPixelLeftBorderSize</a>;
<a name="l00269"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a2aba55666f2ac89947d629a10723e95e">00269</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a2aba55666f2ac89947d629a10723e95e">mPixelRightBorderSize</a>;
<a name="l00270"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a08f038d016226c1da44ac10dd1658638">00270</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a08f038d016226c1da44ac10dd1658638">mPixelTopBorderSize</a>;
<a name="l00271"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a485861716ca5eaa355bbeed0b99111a5">00271</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a485861716ca5eaa355bbeed0b99111a5">mPixelBottomBorderSize</a>;
<a name="l00272"></a>00272 
<a name="l00273"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a6974bc851726142a2ebccc0fe934960e">00273</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a6974bc851726142a2ebccc0fe934960e">mBorderMaterialName</a>;
<a name="l00274"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a729d48b712fc8ac584bce4030b08a938">00274</a>         <a class="code" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a729d48b712fc8ac584bce4030b08a938">mBorderMaterial</a>;
<a name="l00275"></a>00275 
<a name="l00276"></a>00276         <span class="comment">// Render operation for the border area</span>
<a name="l00277"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a6491e1176cf644b7588ff6215fff5751">00277</a>         <a class="code" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a6491e1176cf644b7588ff6215fff5751">mRenderOp2</a>;
<a name="l00278"></a>00278 
<a name="l00279"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#ac7ac162af5b375bc83f01bcc97a5f18d">00279</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#ac7ac162af5b375bc83f01bcc97a5f18d">msTypeName</a>;
<a name="l00280"></a>00280 
<a name="l00282"></a>00282         <span class="keywordtype">void</span> updatePositionGeometry(<span class="keywordtype">void</span>);
<a name="l00284"></a>00284         <span class="keywordtype">void</span> updateTextureGeometry(<span class="keywordtype">void</span>);
<a name="l00286"></a>00286         <span class="keywordtype">void</span> addBaseParameters(<span class="keywordtype">void</span>);
<a name="l00287"></a>00287 
<a name="l00288"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#aa72b9a7f9b9c0cc536adece547093475">00288</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#aa72b9a7f9b9c0cc536adece547093475">BorderCellIndex</a> {
<a name="l00289"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#aa72b9a7f9b9c0cc536adece547093475a65cd8b5fdbfa634f0f683e92888cdaa7">00289</a>             BCELL_TOP_LEFT = 0,
<a name="l00290"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#aa72b9a7f9b9c0cc536adece547093475a40a23bd61641f29d108ecfa7cac01c5b">00290</a>             BCELL_TOP = 1,
<a name="l00291"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#aa72b9a7f9b9c0cc536adece547093475a92556e927d9e3c2dac6b855eff75d2ab">00291</a>             BCELL_TOP_RIGHT = 2,
<a name="l00292"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#aa72b9a7f9b9c0cc536adece547093475a0e1e03d6f4eb781116cd947039875e87">00292</a>             BCELL_LEFT = 3,
<a name="l00293"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#aa72b9a7f9b9c0cc536adece547093475aaea9d33ae10138159c088a550e85d171">00293</a>             BCELL_RIGHT = 4,
<a name="l00294"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#aa72b9a7f9b9c0cc536adece547093475a4b7239a55588e66edde8fd761c8093c6">00294</a>             BCELL_BOTTOM_LEFT = 5,
<a name="l00295"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#aa72b9a7f9b9c0cc536adece547093475af9544dcb35ce2863aab0cbd6dc62e373">00295</a>             BCELL_BOTTOM = 6,
<a name="l00296"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#aa72b9a7f9b9c0cc536adece547093475abbce9239f1fd0897569c7cca28e0580d">00296</a>             BCELL_BOTTOM_RIGHT = 7
<a name="l00297"></a>00297         };
<a name="l00298"></a>00298         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getCellUVString(BorderCellIndex idx) <span class="keyword">const</span>;
<a name="l00299"></a>00299 
<a name="l00300"></a>00300         <span class="comment">// Command objects</span>
<a name="l00301"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#afb082ba0c972cf37896df55da708ae99">00301</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderSize.html" title="Command object for specifying border sizes (see ParamCommand).">CmdBorderSize</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#afb082ba0c972cf37896df55da708ae99">msCmdBorderSize</a>;
<a name="l00302"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#af33d33a631005529461572a415506053">00302</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderMaterial.html" title="Command object for specifying the Material for the border (see ParamCommand).">CmdBorderMaterial</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#af33d33a631005529461572a415506053">msCmdBorderMaterial</a>;
<a name="l00303"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a4871c99234c744c1fead8c6423366656">00303</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderLeftUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderLeftUV</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a4871c99234c744c1fead8c6423366656">msCmdBorderLeftUV</a>;
<a name="l00304"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#ab0cf954f9704965660724cf0e9ef16e8">00304</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderTopUV</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#ab0cf954f9704965660724cf0e9ef16e8">msCmdBorderTopUV</a>;
<a name="l00305"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#acdf8619054b927b1430191667baef218">00305</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderBottomUV</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#acdf8619054b927b1430191667baef218">msCmdBorderBottomUV</a>;
<a name="l00306"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a78d373fff05c95c9ff33959d26047272">00306</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderRightUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderRightUV</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a78d373fff05c95c9ff33959d26047272">msCmdBorderRightUV</a>;
<a name="l00307"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#afcfd42b09db4bf81aa50e4c4cb36b6f8">00307</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopLeftUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderTopLeftUV</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#afcfd42b09db4bf81aa50e4c4cb36b6f8">msCmdBorderTopLeftUV</a>;
<a name="l00308"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a064d20aac475faec4df3fd11091b0cc1">00308</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomLeftUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderBottomLeftUV</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a064d20aac475faec4df3fd11091b0cc1">msCmdBorderBottomLeftUV</a>;
<a name="l00309"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#ab76d6e09f8cd1e31cddd9c8820c30586">00309</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopRightUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderTopRightUV</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#ab76d6e09f8cd1e31cddd9c8820c30586">msCmdBorderTopRightUV</a>;
<a name="l00310"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a7eb7121d1b964d04b92f0146f5293f99">00310</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomRightUV.html" title="Command object for specifying texture coordinates for the border (see ParamCommand).">CmdBorderBottomRightUV</a> <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a7eb7121d1b964d04b92f0146f5293f99">msCmdBorderBottomRightUV</a>;
<a name="l00311"></a>00311 
<a name="l00312"></a><a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a49e3c01b80114afb1017ad3afb83ffd2">00312</a>         <a class="code" href="classOgre_1_1BorderRenderable.html" title="Class for rendering the border of a BorderPanelOverlayElement.">BorderRenderable</a>* <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html#a49e3c01b80114afb1017ad3afb83ffd2">mBorderRenderable</a>;
<a name="l00313"></a>00313     };
<a name="l00314"></a>00314 
<a name="l00320"></a><a class="code" href="classOgre_1_1BorderRenderable.html">00320</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1BorderRenderable.html" title="Class for rendering the border of a BorderPanelOverlayElement.">BorderRenderable</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">OverlayAlloc</a>
<a name="l00321"></a>00321     {
<a name="l00322"></a>00322     <span class="keyword">protected</span>:
<a name="l00323"></a><a class="code" href="classOgre_1_1BorderRenderable.html#afde127dccc65d54c3a067f76f967ee6f">00323</a>         <a class="code" href="classOgre_1_1BorderPanelOverlayElement.html" title="A specialisation of the PanelOverlayElement to provide a panel with a border.">BorderPanelOverlayElement</a>* <a class="code" href="classOgre_1_1BorderRenderable.html#afde127dccc65d54c3a067f76f967ee6f">mParent</a>;
<a name="l00324"></a>00324     <span class="keyword">public</span>:
<a name="l00326"></a><a class="code" href="classOgre_1_1BorderRenderable.html#a70ce2657189a442f5a5b550ef532551c">00326</a>         <a class="code" href="classOgre_1_1BorderRenderable.html" title="Class for rendering the border of a BorderPanelOverlayElement.">BorderRenderable</a>(<a class="code" href="classOgre_1_1BorderPanelOverlayElement.html" title="A specialisation of the PanelOverlayElement to provide a panel with a border.">BorderPanelOverlayElement</a>* parent) : mParent(parent)
<a name="l00327"></a>00327         {
<a name="l00328"></a>00328             mUseIdentityProjection = <span class="keyword">true</span>;
<a name="l00329"></a>00329             mUseIdentityView = <span class="keyword">true</span>;
<a name="l00330"></a>00330         }
<a name="l00331"></a><a class="code" href="classOgre_1_1BorderRenderable.html#aef8b202f737aba7a64db266fd92583a2">00331</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a>&amp; <a class="code" href="classOgre_1_1BorderRenderable.html#aef8b202f737aba7a64db266fd92583a2" title="Retrieves a weak reference to the material this renderable object uses.">getMaterial</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mParent-&gt;mBorderMaterial; }
<a name="l00332"></a><a class="code" href="classOgre_1_1BorderRenderable.html#aff78b58d992411bed6aa1670fdb4b871">00332</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1BorderRenderable.html#aff78b58d992411bed6aa1670fdb4b871" title="Gets the render operation required to send this object to the frame buffer.">getRenderOperation</a>(<a class="code" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a>&amp; op) { op = mParent-&gt;mRenderOp2; }
<a name="l00333"></a><a class="code" href="classOgre_1_1BorderRenderable.html#a47bb4b1a99634b7360a35d5f53f26c9c">00333</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1BorderRenderable.html#a47bb4b1a99634b7360a35d5f53f26c9c" title="Gets the world transform matrix / matrices for this renderable object.">getWorldTransforms</a>(<a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>* xform)<span class="keyword"> const </span>{ mParent-&gt;getWorldTransforms(xform); }
<a name="l00334"></a><a class="code" href="classOgre_1_1BorderRenderable.html#ab1b34c4ec0b24e6cc3ff71f9979639c8">00334</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <a class="code" href="classOgre_1_1BorderRenderable.html#ab1b34c4ec0b24e6cc3ff71f9979639c8" title="Returns the number of world transform matrices this renderable requires.">getNumWorldTransforms</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> 1; }
<a name="l00335"></a><a class="code" href="classOgre_1_1BorderRenderable.html#a630c2fbc8906a3987162cf33543d97cc">00335</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1BorderRenderable.html#a630c2fbc8906a3987162cf33543d97cc" title="Returns the camera-relative squared depth of this renderable.">getSquaredViewDepth</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mParent-&gt;getSquaredViewDepth(cam); }
<a name="l00336"></a><a class="code" href="classOgre_1_1BorderRenderable.html#a831563919d777961136da1c706d70ecf">00336</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1HashedVector.html">LightList</a>&amp; getLights(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00337"></a>00337 <span class="keyword">        </span>{
<a name="l00338"></a>00338             <span class="comment">// N/A, panels are not lit</span>
<a name="l00339"></a>00339             <span class="keyword">static</span> <a class="code" href="classOgre_1_1HashedVector.html">LightList</a> ll;
<a name="l00340"></a>00340             <span class="keywordflow">return</span> ll;
<a name="l00341"></a>00341         }
<a name="l00342"></a><a class="code" href="classOgre_1_1BorderRenderable.html#a0019a2f8bd469ca970f13ff6f0c24ee7">00342</a>         <span class="keywordtype">bool</span> getPolygonModeOverrideable(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00343"></a>00343 <span class="keyword">        </span>{
<a name="l00344"></a>00344             <span class="keywordflow">return</span> mParent-&gt;getPolygonModeOverrideable();
<a name="l00345"></a>00345         }
<a name="l00346"></a>00346     };
<a name="l00350"></a>00350 }
<a name="l00351"></a>00351 
<a name="l00352"></a>00352 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
